Subject: Re: [PATCH v2 0/6] maintenance: use packaged systemd units

From: Max Gautier <[email-masked]>
Date: Mon, 25 Mar 2024 14:45:39 +0100

On Mon, Mar 25, 2024 at 10:06:29AM +0000, [email-masked] wrote:
> 
> It is possible to wait on a lock file but I'd be worried about building up
> an endless queue of processes if the process holding the lock file crashed
> leaving it in place without anyway to automatically remove it.

Side question: we can't use flock(2) in git, or lockf(3) ? The latter is
in POSIX.

-- 
Max Gautier